# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "bo4e-edifact-types"
version = "0.1.33"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Generic interchange model types for BO4E/EDIFACT conversion"
readme = false
license = "MIT"
repository = "https://github.com/Hochfrequenz/edifact_mapper"

[features]
all = [
    "fv2504",
    "fv2510",
    "fv2604",
    "fv2610",
    "typed-pids",
]
default = ["fv2604"]
fv2504 = []
fv2510 = []
fv2604 = []
fv2610 = []
typed-pids = []

[lib]
name = "bo4e_edifact_types"
path = "src/lib.rs"

[[test]]
name = "generated_types_test"
path = "tests/generated_types_test.rs"

[dependencies.bo4e-german]
version = "0.2"

[dependencies.serde]
version = "1"
features = [
    "derive",
    "derive",
]

[dependencies.serde_json]
version = "1"

[dev-dependencies.serde_json]
version = "1"
